/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is ManyOne code.
 *
 * The Initial Developer of the Original Code is
 * Ben Bucksch <http://www.bucksch.org>
 * of Beonex <http://www.beonex.com>
 * on behalf of ManyOne <http://www.manyone.net>
 * Portions created by the Initial Developer are Copyright (C) 2003
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */

#include "nsSoftwareInstall.h"
#include "nsISoftwareInstall.h"
#include "nsSoftwareUpdate.h"

//static NS_DEFINE_IID(kIInstallTrigger_IID, NS_IDOMINSTALLTRIGGERGLOBAL_IID);

NS_IMPL_THREADSAFE_ISUPPORTS1(nsSoftwareInstall, nsISoftwareInstall)

nsSoftwareInstall::nsSoftwareInstall()
{
}

nsSoftwareInstall::~nsSoftwareInstall()
{
}

/* void InstallJar (in nsIFile localFile,
                    in wstring URL,
                    in wstring arguments,
                    in nsIPrincipal aPrincipalDisplayed,
                    in unsigned long flags,
                    in nsIXPIListener aListener); */
NS_IMETHODIMP nsSoftwareInstall::InstallXPI(nsIFile *localFile,
                                            const PRUnichar *URL,
                                            const PRUnichar *arguments,
                                            nsIPrincipal *aPrincipalDisplayed,
                                            PRUint32 flags,
                                            nsIXPIListener *aListener)
{
  printf("\n\n\n     nsSoftwareInstall::InstallXPI\n\n\n\n");
    nsCOMPtr<nsISoftwareUpdate> su (do_GetService(NS_IXPINSTALLCOMPONENT_CONTRACTID));
    //return NS_OK;
    return su->InstallJar(localFile, URL, arguments,
                          aPrincipalDisplayed, flags,
                          aListener);
}
